import express from 'express';
const router = express.Router();
import auth from '../middleware/auth.js';
import { createProperty, getUserProperties, getPropertyById} from '../controllers/property.js';

router.post('/', auth, createProperty);
router.get('/user/:userId', getUserProperties);
router.get('/:propertyId', getPropertyById);

export default router;
